package cz.upol.jj.Rental;

import java.util.Objects;

public class Car extends Item implements Comparable<Car>{

    private final String manufacturer;
    private final String model;
    private final int  price;
    private final int year;

    public Car(String manufacturer, String model, int price, int year) {
        this.manufacturer = manufacturer;
        this.model = model;
        this.price = price;
        this.year = year;
    }

    public String getManufacturer() {
        return manufacturer;
    }

    public String getModel() {
        return model;
    }

    public int getPrice() {
        return price;
    }

    public int getYear() {
        return year;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        Car car = (Car) o;
        return price == car.price && year == car.year && Objects.equals(manufacturer, car.manufacturer) && Objects.equals(model, car.model);
    }

    @Override
    public int hashCode() {
        return Objects.hash(manufacturer, model, price, year);
    }

    @Override
    public int compareTo(Car car) {
        if(car == null){
            return 1;
        }
        return Integer.compare(price, car.getPrice());
    }
}
