package cz.upol.jj.Rental;

public class RentableItem<T extends Item & Comparable<T>> implements Comparable<RentableItem<T>> {

    private final T item;
    private final int price;
    private boolean rented;

    public RentableItem(T item, int price){
        this.item = item;
        this.price = price;
    }

    public T getItem(){
        return item;
    }

    public boolean isRented(){
        return rented;
    }

    public void setRented(boolean rented){
        this.rented = rented;
    }

    public int getPrice() {
        return price;
    }

    @Override
    public int compareTo(RentableItem<T> tRentableItem) {
       return item.compareTo(tRentableItem.getItem());
    }
}
